scala.tools.nsc.backend.jvm

# BytecodeWriters

#### trait BytecodeWriters extends AnyRef

For the last mile: turning generated bytecode in memory into something you can use. Has implementations for writing to class files, jars, and disassembled/javap output.

Source
  BytecodeWriters.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
BCodeBodyBuilder, BCodeHelpers, BCodeSkelBuilder, BCodeSyncAndTry, GenASM, GenBCode, genASM, genBCode
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. BytecodeWriters
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait AsmpBytecodeWriter extends BytecodeWriter

2. #### trait BytecodeWriter extends AnyRef

3. #### trait ClassBytecodeWriter extends BytecodeWriter

4. #### class DirectToJarfileWriter extends BytecodeWriter

5. #### trait DumpBytecodeWriter extends BytecodeWriter

### Abstract Value Members

1. #### abstract val global: Global

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from BytecodeWriters to any2stringadd[BytecodeWriters] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (BytecodeWriters, B)

   Implicit information
     This member is added by an implicit conversion from BytecodeWriters to ArrowAssoc[BytecodeWriters] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (BytecodeWriters) ⇒ Boolean, msg: ⇒ Any): BytecodeWriters

   Implicit information
     This member is added by an implicit conversion from BytecodeWriters to Ensuring[BytecodeWriters] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (BytecodeWriters) ⇒ Boolean): BytecodeWriters

   Implicit information
     This member is added by an implicit conversion from BytecodeWriters to Ensuring[BytecodeWriters] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): BytecodeWriters

    Implicit information
      This member is added by an implicit conversion from BytecodeWriters to Ensuring[BytecodeWriters] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): BytecodeWriters

    Implicit information
      This member is added by an implicit conversion from BytecodeWriters to Ensuring[BytecodeWriters] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def factoryNonJarBytecodeWriter(): BytecodeWriter

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from BytecodeWriters to StringFormat[BytecodeWriters] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def getFile(sym: Global.Symbol, clsName: String, suffix: String): AbstractFile

19. #### def getFile(base: AbstractFile, clsName: String, suffix: String): AbstractFile

    clsName

      cls.getName

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def outputDirectory(sym: Global.Symbol): AbstractFile

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def →[B](y: B): (BytecodeWriters, B)

    Implicit information
      This member is added by an implicit conversion from BytecodeWriters to ArrowAssoc[BytecodeWriters] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from BytecodeWriters to any2stringadd[BytecodeWriters]

### Inherited by implicit conversion StringFormat from BytecodeWriters to StringFormat[BytecodeWriters]

### Inherited by implicit conversion Ensuring from BytecodeWriters to Ensuring[BytecodeWriters]

### Inherited by implicit conversion ArrowAssoc from BytecodeWriters to ArrowAssoc[BytecodeWriters]

### Ungrouped